This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107525 - error compiling wineX CVS version
error compiling wineX CVS version
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 21:10 EDT by Gertjan Roelofs
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 01:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gertjan Roelofs 2003-10-19 21:10:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
when compiling winex 3.1 cvs the program doesn't compile and returns an error

Version-Release number of selected component (if applicable):
WineX CVS 3.1

How reproducible:
Always

Steps to Reproduce:
1. cvs -d:pserver:anonymous@cvs.winex.sourceforge.net:/cvsroot/winex login
2. cvs -z3 -d:pserver:anonymous@cvs.winex.sourceforge.net:/cvsroot/winex co wine
3. ./configure --with-x --disable-trace --enable-opengl --disable-debug
4. make depend && make
    

Actual Results:  after the make..... command it starts compiling after 15 minutes the program returns an error and puts me back in shell

Expected Results:  complete compiling

Additional info:

edit.c: In function `EDIT_WM_SysKeyDown':
edit.c:4817: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [edit.o] Error 1
make[3]: Leaving directory `/home/themax/wine/controls'
make[2]: *** [../../controls/controls.o] Error 2
make[2]: Leaving directory `/home/themax/wine/dlls/user'
make[1]: *** [user/libuser32.so] Error 2
make[1]: Leaving directory `/home/themax/wine/dlls'
make: *** [dlls] Error 2
Comment 1 Thomas Woerner 2003-10-20 04:45:08 EDT
This is a compiler bug.
Comment 2 Jakub Jelinek 2003-10-20 04:58:01 EDT
Assuming it is reproduceable...
If yes, please rerun gcc command which compiles edit.c with additional
-save-temps option, mention the options here in the bugreport and attach
edit.i it creates.
Comment 3 Gertjan Roelofs 2003-10-20 07:32:52 EDT
erm... ok i'm a total noob still learning, pls explain in noob english pls :P
Comment 4 Jakub Jelinek 2003-10-21 03:11:58 EDT
You run make 2>&1 | tee logfile
If it crashes the same way as above, you grep gcc.*edit\.c logfile
and run the command it prints with additional -save-temps option.
(e.g. assuming it prints just one line, you can try:
`grep gcc.*edit\.c logfile` -save-temps
Comment 5 Gertjan Roelofs 2003-10-26 17:21:55 EST
ok sorry no bug, just my crappy mobo that's bitching me sorry for your waste of
time, gonna search for new cp first before i complain :P

Note You need to log in before you can comment on or make changes to this bug.